import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        value?: number | string | null | undefined;
        readonly?: boolean | undefined;
        type?: "email" | "text" | "password" | "number" | "date" | "time" | "datetime-local" | undefined;
        showPicker?: (() => void) | undefined;
        ref?: (HTMLInputElement | null) | undefined;
        class?: string | undefined;
    };
    events: {
        keyup: KeyboardEvent;
        input: Event;
        change: Event;
        focus: FocusEvent;
        blur: FocusEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        right: {};
    };
    exports?: undefined;
    bindings?: undefined;
};
export type InputTextProps = typeof __propDef.props;
export type InputTextEvents = typeof __propDef.events;
export type InputTextSlots = typeof __propDef.slots;
export default class InputText extends SvelteComponent<InputTextProps, InputTextEvents, InputTextSlots> {
    get showPicker(): () => void;
}
export {};
