import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        disabled?: boolean | undefined;
        multiple?: boolean | undefined;
        name?: string | undefined;
        value?: string | number | undefined;
        values?: string[] | number[] | undefined;
        options?: {
            value: string | number;
            label?: string | number;
            parent_id?: number;
        }[] | undefined;
        class?: string | undefined;
        IDropdownOption?: typeof IDropdownOption;
    };
    events: {
        keyup: KeyboardEvent;
        change: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: undefined;
    bindings?: undefined;
};
export type DropDownProps = typeof __propDef.props;
export type DropDownEvents = typeof __propDef.events;
export type DropDownSlots = typeof __propDef.slots;
export default class DropDown extends SvelteComponent<DropDownProps, DropDownEvents, DropDownSlots> {
}
export {};
