/** @typedef {typeof __propDef.props}  TableProps */
/** @typedef {typeof __propDef.events}  TableEvents */
/** @typedef {typeof __propDef.slots}  TableSlots */
export default class Table extends SvelteComponent<{
    class?: string | undefined;
    bordered?: boolean | undefined;
}, {
    [evt: string]: CustomEvent<any>;
}, {
    default: {
        Header: typeof Header;
        Row: typeof Row;
    };
}> {
}
export type TableProps = typeof __propDef.props;
export type TableEvents = typeof __propDef.events;
export type TableSlots = typeof __propDef.slots;
import Header from "./TableHeaderTheme.svelte";
import Row from "./TableRowTheme.svelte";
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        class?: string | undefined;
        bordered?: boolean | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            Header: typeof Header;
            Row: typeof Row;
        };
    };
    exports?: undefined;
    bindings?: undefined;
};
export {};
